Get a knowledge article
curl --request GET \
--url https://api.example.com/v2/aether/playbook/knowledge/{article_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/aether/playbook/knowledge/{article_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/aether/playbook/knowledge/{article_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"collection": "<string>",
"knowledge_type": "declarative",
"status": "archived",
"scope": "shared",
"description": "<string>",
"content": "<string>",
"customer_id": "<string>",
"segment_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mime_type": "<string>",
"presigned_url": "<string>",
"size": 123
},
"current_version": {
"version_number": 123,
"operation": "created",
"created_at": "2023-11-07T05:31:56Z",
"author_id": "<string>"
}
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
Get a knowledge article
Returns the article by ID, or 404 if it does not exist.
GET
/
v2
/
aether
/
playbook
/
knowledge
/
{article_id}
Get a knowledge article
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Article ID
When this article was first created
Article title
Playbook collection
Declarative, procedural, or document
Available options:
declarative, document, procedural Published or archived
Available options:
archived, published Visibility: shared, segment, or customer
Available options:
shared, segment, customer What this article covers
Full article content
Customer this article is scoped to
Segment this article is scoped to
When last published
When archived
Reference document attachment
Attached file
Show child attributes
Show child attributes
Latest version metadata
Show child attributes
Show child attributes
